#
# Please do not update/rebuild/touch this package before asking first to mikala and/or neoclust
# This package is part of the KDE Stack.
#

%define rel 1

Name:       keditbookmarks
Summary:    Bookmarks editor
Version: 16.12.3
Epoch:          2
Release:    %mkrel %{rel}
Group:      Graphical desktop/KDE
License:    GPLv2
URL:        http://www.kde.org/
Source0:    http://download.kde.org/stable/applications/%{version}/src/%name-%{version}.tar.xz

BuildRequires: kf5-macros

BuildRequires: pkgconfig(Qt5Core)
BuildRequires: pkgconfig(Qt5Test)

BuildRequires: cmake(KF5CoreAddons) 
BuildRequires: cmake(KF5I18n) 
BuildRequires: cmake(KF5KIO)
BuildRequires: cmake(KF5Bookmarks)
BuildRequires: cmake(KF5Parts)
BuildRequires: cmake(KF5WindowSystem)
BuildRequires: cmake(KF5IconThemes)
BuildRequires: cmake(KF5DocTools)

%description
Bookmarks editor

%files
%_kf5_bindir/kbookmarkmerger
%_kf5_bindir/keditbookmarks
%_kf5_datadir/applications/org.kde.keditbookmarks.desktop
%_kf5_datadir/config.kcfg/keditbookmarks.kcfg
%_kf5_datadir/kxmlgui5/keditbookmarks
%_kf5_mandir/man1/kbookmarkmerger.1.*

#--------------------------------------------------------------------

%define kbookmarkmodel_private_major 5
%define libkbookmarkmodel_private %mklibname kbookmarkmodel_private_ %{kbookmarkmodel_private_major}

%package -n %libkbookmarkmodel_private
Summary:      Bookmarks editor
Group:        System/Libraries

Requires:     %name = %epoch:%version

%description -n %libkbookmarkmodel_private
Bookmarks editor

%files -n %libkbookmarkmodel_private
%_kf5_libdir/libkbookmarkmodel_private.so.%{kbookmarkmodel_private_major}*
%_kf5_libdir/libkbookmarkmodel_private.so.6

#--------------------------------------------------------------------

%package handbook
Summary: %name handbook

Requires:  %name >= %{epoch}:%{version}-%{release}

BuildArch: noarch
Group: Documentation

%description handbook
This package provides the %name handbook.

%files handbook
%_kf5_docdir/HTML/en/%name

#--------------------------------------------------------------------

%define kbookmarkmodel_devel %mklibname kbookmarkmodel_private -d

%package -n %kbookmarkmodel_devel

Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %libkbookmarkmodel_private = %epoch:%version-%release

Provides:       %name-devel = %epoch:%{version}-%{release}

%description -n %kbookmarkmodel_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %kbookmarkmodel_devel
%_kf5_libdir/libkbookmarkmodel_private.so

#------------------------------------------------------------------------------

%prep
%setup -q
%autopatch -p1

%build
export LD=%_kf5_bindir/ld.gold
%cmake_kf5

%make_build

%install
%make_install -C build



%changelog
* Wed Mar 08 2017 neoclust <neoclust> 2:16.12.3-1.mga6
+ Revision: 1090057
- New version 16.12.3
- New version 16.12.2
- New version 16.12.1

* Sat Dec 24 2016 neoclust <neoclust> 2:16.12.0-1.mga6
+ Revision: 1076793
- New version 16.12.0

* Wed Dec 14 2016 neoclust <neoclust> 2:16.11.90-1.mga6
+ Revision: 1074963
- imported package keditbookmarks

